Skip to navigation

List Jurisdictions By Rate Type Tax Type Mapping

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns a list of all Avalara-supported taxing jurisdictions filtered by taxTypeId, taxSubTypeId, country, and rateTypeId.

You can optionally pass region as a query parameter to retrieve jurisdictions that are under that region.

This API allows you to examine all Avalara-supported jurisdictions. You can filter your search by supplying SQL-like query for fetching only the ones you concerned about. For example: effectiveDate > ‘2016-01-01’

The jurisdictionType, effectiveDate, and endDate are filterable fields available on the JurisdictionRateTypeTaxTypeMappingModels returned by this API.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired
The country for which you want to retrieve the jurisdiction information
taxTypeIdstringRequired
The taxtype for which you want to retrieve the jurisdiction information
taxSubTypeIdstringRequired
The taxsubtype for which you want to retrieve the jurisdiction information

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

rateTypeIdintegerRequired
The ratetype for which you want to retrieve the jurisdiction information
regionstringOptional
The region for which you want to retrieve the jurisdiction information
$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: id, country, state, jurisdictionCode, longName, taxTypeId, taxSubTypeId, taxTypeGroupId, rateTypeId, stateFips

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

$includeCustomContentbooleanOptionalDefaults to false

Optional query parameter to include custom content jurisdictions (default: false)

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional